<%@ include file="/WEB-INF/layouts/default-html5/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-html5/core/commonVariables.jsp" %>
<!-- Start ${pageScope.sscCurrentPage} -->
<ssc:useAttribute name="categoryCollection"/>
<c:if test="${!empty categoryCollection and !categoryCollection['empty']}">
	<logic:iterate name="categoryCollection" id="category">
		<c:if test="${category.isActive and category.categoryTreeID eq 1}">
			<c:if var="parentMatch" test="${false}"/>
			<c:forTokens var="thisCategoryID" items="${sessionScope.currentCategory.parentString}" delims=",">
				<c:if var="parentMatch" test="${parentMatch or thisCategoryID == category.categoryID}"/>
			</c:forTokens>
			<c:if test="${!empty category.name}">
				<%--Define the style class for the a tag--%>
				<c:set var="styleClass" value="inactive"/>
				<c:set var="glyphicon" value="glyphicon-chevron-right"/>
				<c:choose>
					<c:when test="${sessionScope.currentCategory.code eq category.code and !empty requestScope.currentCategory}">
						<%-- link active --%>
						<c:set var="styleClass" value="in"/>
						<c:set var="glyphicon" value="glyphicon-chevron-down"/>
					</c:when>
					<c:when test="${sessionScope.currentCategory.code eq category.code and empty requestScope.currentCategory}">
						<%-- parent active session --%>
						<c:set var="styleClass" value="in"/>
						<c:set var="glyphicon" value="glyphicon-chevron-down"/>
					</c:when>
					<c:when test="${parentMatch}">
						<%-- parent active --%>
						<c:set var="styleClass" value="in"/>
						<c:set var="glyphicon" value="glyphicon-chevron-down"/>
					</c:when>
				</c:choose>
				<c:if test="${!empty category.subcategoryCollection and !category.subcategoryCollection['empty']}">
					<li id="categoryTree-${category.code}">
						<c:set var="linkAction" value="Category.do"/>
						<c:if test="${category.isContentPage}"><c:set var="linkAction" value="Content.do"/></c:if>
						<a href="#categorySub-${category.code}" class="dropdown" data-toggle="collapse">
							<span class="glyphicon ${glyphicon}"></span> <c:out value="${category.name}" escapeXml="false"/>
						</a>
						<ul id="categorySub-${category.code}" class="categoryTreeCategories collapse ${styleClass}">
							<ssc:insert page="/WEB-INF/layouts/default/product/categories.jsp" flush="false">
								<ssc:put name="categoryCollection" beanName="category" beanProperty="subcategoryCollection"/>
							</ssc:insert>
						</ul>
					</li>
				</c:if>
				<c:if test="${empty category.subcategoryCollection and category.subcategoryCollection['empty']}">
					<li id="categoryTree-${category.code}" class="">
						<c:set var="linkAction" value="Category.do"/>
						<c:if test="${category.isContentPage}"><c:set var="linkAction" value="Content.do"/></c:if>
						<ssc:link href="${customerURL}/${linkAction}" paramId="code" paramName="category" paramProperty="code" styleClass="${styleClass}">
							<c:out value="${category.name}" escapeXml="false"/>
						</ssc:link>
					</li>
				</c:if>
			</c:if>
		</c:if>
	</logic:iterate>
</c:if>
<!-- End ${pageScope.sscCurrentPage} -->
