<%@ include file="/WEB-INF/layouts/default-xhtml/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-xhtml/core/commonVariables.jsp" %>

<!-- Start productReviews.jsp -->
<div id="productReviewStars">
	<c:choose>
		<c:when test="${countApprovedReviews > 0}">
			<bean:message key="product.averageCustomerReview" bundle="/product"/>:
			<c:forEach var="i" begin="1" end="${wholeStars}" step="1">
				<img src="${pageContext.request.contextPath}/images/reviewStar.jpg" alt="star"/>
			</c:forEach>
			<c:if test="${halfStars > 0}">
				<img src="${pageContext.request.contextPath}/images/reviewHalfStar.png" alt="half-star"/>
			</c:if>
			(<c:out value="${countApprovedReviews}"/> <c:choose><c:when test="${countApprovedReviews == 1}"><bean:message key="product.productReviewLower" bundle="/product"/></c:when><c:otherwise><bean:message key="product.productReviewsLower" bundle="/product"/></c:otherwise></c:choose>)
		</c:when>
		<c:otherwise>
			<bean:message key="product.noReviews" bundle="/product"/>
		</c:otherwise>
	</c:choose>
</div>
<div id="submitAReview">
	<html:link href="${secureURL}/ProductReviewForm.do?code=${product.code}">
		<bean:message key="product.submitYourReview" bundle="/product"/>
	</html:link>
</div>
<c:if test="${countApprovedReviews > 0}">
	<div class="productReviewContainer">
		<logic:iterate name="productReviews" id="review" indexId="index">
			<c:if test="${review.status == 1}">
				<br/>
				<div class="productReview">
					<span class="productReviewHeader"><bean:message key="product.productReviewBy" bundle="/product"/>: <c:out value="${review.nickname}"/></span>,
					<fmt:parseDate value="${review.created}" pattern="yyyy-MM-dd HH:mm:ss:SSS" var="created"/>
					<fmt:formatDate value="${created}" type="date" dateStyle="Medium"/>
					<c:forEach var="i" begin="1" end="${review.rating}" step="1">
						<img src="${pageContext.request.contextPath}/images/reviewStar.jpg" alt="star"/>
					</c:forEach>        
					<br />
					<c:out value="${review.review}"/>
				</div>
			</c:if>
		</logic:iterate>
	</div>
</c:if>
<!-- End productReviews.jsp -->
