<%@ include file="/WEB-INF/layouts/default-xhtml/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-xhtml/core/commonVariables.jsp" %>

<!-- Start attributeFieldColumns.jsp -->
<bean:define id="displayFieldArray" name="mainForm" property="displayFields" type="java.lang.String[]"/>
<bean:define id="fieldArray" name="mainForm" property="fields" type="java.lang.String[]" />
<% java.util.Collection displayFieldCollection = java.util.Arrays.asList(displayFieldArray); %>
<logic:iterate collection="<%= fieldArray %>" id="field" type="java.lang.String">
	<% if (displayFieldCollection.contains(field)) { %>
		<td class="dataCell <c:out value="${field}"/>">
			<c:choose>
				<c:when test="${field eq 'attributeID'}">
					<c:out value="${item[field]}" />
				</c:when>
				<c:when test="${mainForm.editMode eq 'true'}">
					<c:choose>
						<c:when test="${field eq 'defaultOptionID'}">
							<c:out value="${item[field]}" />
							<input type="hidden" name="<c:out value="${field}" />" value="<c:out value="${item[field]}" />"/>
						</c:when>
						<c:when test="${field eq 'attributeIsRequired' or field eq 'attributeIsActive'}">
							<input type="hidden" name="<c:out value="${field}"/>" value="<c:out value="${item[field]}"/>"/>
							<input type="checkbox" name="dummy" <c:if test="${item[field] ne 'false'}">checked="checked"</c:if> onclick="updateCheckboxField(this, '<c:out value="${field}"/>', <c:out value="${j}"/>)"/>
						</c:when>
						<c:when test="${field eq 'attributeType'}">
							<html:select name="item" property="attributeType">
								<html:option value="compact">Compact</html:option>
								<html:option value="expanded">Expanded</html:option>
								<html:option value="compactInput">Compact Input</html:option>
								<html:option value="expandedInput">Expanded Input</html:option>
								<html:option value="yesNo">Yes/No</html:option>
							</html:select>
						</c:when>
						<c:when test="${field eq 'productAttributeOrder'}">
							<c:set var="productAttributeOrder" value=""/>
							<logic:iterate id="pa" name="item" property="productAttributes">
								<c:if test="${pa.productID == mainForm.productID}">
									<c:set var="productAttributeOrder" value="${pa.productAttributeOrder}"/>
								</c:if>
							</logic:iterate>
							<c:choose>
								<c:when test="${settings.map.keepOrdersInSync eq '1'}">
									<c:out value="${productAttributeOrder}" />
								</c:when>
								<c:otherwise>
									<input type="text" maxlength="255" name="<c:out value="${field}" />" value="<c:out value="${productAttributeOrder}" />" style="width: 90%"/>
								</c:otherwise>
							</c:choose>
							<c:if test="${settings.map.keepOrdersInSync eq '1' and !empty productAttributeOrder}">
								<span class="calloutMatch">*</span>
								<c:set var="keepOrdersInSyncAsterisk" scope="request" value="true"/>
							</c:if>
						</c:when>
						<c:when test="${field eq 'description'}">
							<textarea rows="2" name="<c:out value="${field}" />"><c:out value="${item[field]}" /></textarea>
						</c:when>
						<c:otherwise>
							<input type="text" name="<c:out value="${field}" />" value="<c:out value="${item[field]}" />"/>
						</c:otherwise>
					</c:choose>
				</c:when>
				<c:otherwise>
					<c:choose>
						<c:when test="${field eq 'attributeIsRequired' or field eq 'attributeIsActive'}">
							<input type="hidden" name="<c:out value="${field}" />" value="<c:out value="${item[field]}" />" />
							<c:choose>
								<c:when test="${item[field] eq 'true'}">yes</c:when>
								<c:otherwise>no</c:otherwise>
							</c:choose>
						</c:when>
						<c:when test="${field eq 'attributeUnitPrice' or field eq 'attributeAltPrice' or field eq 'attributeUnitCost'}">
							<input type="hidden" name="<c:out value="${field}" />" value="<c:out value="${item[field]}" />" />
							<fmt:formatNumber type="currency" currencyCode="${currencyCode}"><c:out value="${item[field]}" /></fmt:formatNumber>
						</c:when>
						<c:when test="${field eq 'attributeWeight'}">
							<input type="hidden" name="<c:out value="${field}" />" value="<c:out value="${item[field]}" />" />
							<fmt:formatNumber type="number"><c:out value="${item[field]}" /></fmt:formatNumber>
						</c:when>
						<c:when test="${field eq 'productAttributeOrder'}">
							<c:set var="productAttributeOrder" value=""/>
							<logic:iterate id="pa" name="item" property="productAttributes">
								<c:if test="${pa.productID == mainForm.productID}">
									<c:set var="productAttributeOrder" value="${pa.productAttributeOrder}"/>
								</c:if>
							</logic:iterate>
							<c:out value="${productAttributeOrder}"/>
						</c:when>
						<c:otherwise>
							<input type="hidden" name="<c:out value="${field}" />" value="<c:out value="${item[field]}" />" />
							<c:out value="${item[field]}" />
						</c:otherwise>
					</c:choose>
				</c:otherwise>
			</c:choose>
		</td>
	<% } %>
</logic:iterate>
<!-- End attributeFieldColumns.jsp -->
