ALTER TABLE sscDiscount ADD orderItemID number(10,0);

create table sscOrderNumber (
	orderNumber number(10,0) not null,
	class varchar2(255) DEFAULT 'com.softslate.commerce.businessobjects.order.OrderNumberBean',
	primary key (orderNumber)
);

CREATE SEQUENCE orderNumberSequence;

CREATE OR REPLACE TRIGGER orderNumberTrigger 
	BEFORE INSERT ON sscOrderNumber 
	FOR EACH ROW
	WHEN (new.orderNumber IS NULL)
		BEGIN
			SELECT orderNumberSequence.NEXTVAL
			INTO   :new.orderNumber
			FROM   dual; 
		END;;
