<%@ include file="/WEB-INF/layouts/default-html5/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-html5/core/commonVariables.jsp" %>
<!-- Start ${pageScope.sscCurrentPage} -->
<%
	int itemCountInt = Integer.parseInt(request.getAttribute("itemCount").toString());
	int itemsPerPageInt = Integer.parseInt(request.getAttribute("itemsPerPage").toString());
	int firstRowInt = Integer.parseInt(request.getAttribute("firstRow").toString());
	int numberOfPagesInt = ((itemCountInt - 1) / itemsPerPageInt) + 1;
	int currentPageInt = (firstRowInt / itemsPerPageInt) + 1;
%>
<c:if test="${settings.map.paginationStyle eq 'showAllPages'}">
	<c:if test="${itemCount > itemsPerPage}">
		<ul class="productListPagination pagination flush">
			<c:forEach var="i" varStatus="current" begin="1" end="${itemCount}" step="${itemsPerPage}">
				<c:choose>
					<c:when test="${i >= firstRow and i < firstRow + itemsPerPage}"><li class="active"><span class="pageNumber">${current.count}</span></li></c:when>
					<c:when test="${i == 1}">
						<li><ssc:link href="${customerURL}${linkBase}${sortByParam}${facetsParam}" styleClass="pageNumber">${current.count}</ssc:link></li>
					</c:when>
					<c:otherwise>
						<li><ssc:link href="${customerURL}${linkBase}firstRow=${i}${sortByParam}${facetsParam}" styleClass="pageNumber">${current.count}</ssc:link></li>
					</c:otherwise>
				</c:choose>
			</c:forEach>
			<c:if test="${itemCount <= settings.map.maxRecordsProcessed}"><li><ssc:link href="${customerURL}${linkBase}firstRow=all${sortByParam}${facetsParam}" styleClass="pageNumber"><bean:message key="productList.viewAll" bundle="/product"/></ssc:link></li></c:if>
		</ul>
	</c:if>
</c:if>
<c:if test="${settings.map.paginationStyle eq 'nextAndPrevious'}">
	<c:if test="${itemCount > itemsPerPage}">
		<ul class="productListPagination pager flush">
			<c:set var="firstRowOfPreviousPage" value="${firstRow - itemsPerPage}"/>
			<c:set var="firstRowOfNextPage" value="${firstRow + itemsPerPage}"/>
			<c:choose>
				<c:when test="${firstRowOfPreviousPage == 1}">
					<li>
						<ssc:link href="${customerURL}${linkBase}${sortByParam}${facetsParam}" styleClass="pageNumber">
							&laquo; <bean:message key="productList.pagePrevious" bundle="/product"/>
						</ssc:link>
					</li>
				</c:when>
				<c:when test="${firstRowOfPreviousPage > 0}">
					<li>
						<ssc:link href="${customerURL}${linkBase}firstRow=${firstRowOfPreviousPage}${sortByParam}${facetsParam}" styleClass="pageNumber">
							&laquo; <bean:message key="productList.pagePrevious" bundle="/product"/>
						</ssc:link>
					</li>
				</c:when>
			</c:choose>
			<li>
				<bean:message key="productList.pagePhrase" bundle="/product" arg0="<%= Integer.toString(currentPageInt) %>" arg1="<%= Integer.toString(numberOfPagesInt)%>"/>
			</li>
			<c:if test="${firstRowOfNextPage <= itemCount}">
				<li>
					<ssc:link href="${customerURL}${linkBase}firstRow=${firstRowOfNextPage}${sortByParam}${facetsParam}" styleClass="pageNumber">
						<bean:message key="productList.pageNext" bundle="/product"/> &raquo;
					</ssc:link>
				</li>
			</c:if>
			<c:if test="${itemCount <= settings.map.maxRecordsProcessed}">
				<li>
					<ssc:link href="${customerURL}${linkBase}firstRow=all${sortByParam}${facetsParam}" styleClass="pageNumber">
						<bean:message key="productList.viewAll" bundle="/product"/>
					</ssc:link>
				</li>
			</c:if>
		</ul>
	</c:if>
</c:if>
<!-- End ${pageScope.sscCurrentPage} -->
