<%@ include file="/WEB-INF/layouts/default-xhtml/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-xhtml/core/commonVariables.jsp" %>
<c:set var="order" value="${requestScope.user.order}"/>
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
	<head>
		<title>
			 <c:out value="${settings.map.storeName}"/> <bean:message key="order.invoice" bundle="/order"/>
		</title>
		<style type="text/css">
			<!--
			*  { margin: 0; padding: 0; }
			body { margin:0; padding:0; font-family: Arial, sans-serif; font-size: 12px; text-align: center; color: #333; background: #fff; }
			* html, * html body { height: 98.6%; }
			h1 { margin: 0 0 .5em 0; padding: .25em 0; font-size: 2em; color: #333; }
			div#slate { margin: 0; padding: 0; background: #fff; }
			div#wrapper { position: relative; margin:0 auto; padding: 1em 0 0 0; width: 80%; min-width: 600px; text-align: left; }
			#content { margin: 0 0 1em 178px; padding: 0;  }
			* html #content { height: 1%; }
			body.onecol #content { margin: 0 0 1em 0px; padding: 0; }
			div#content p { margin: 0 0 1em 0; }
			.clearit:after { content: "."; display: block; height: 0; clear: both; visibility: hidden;}
			table#orderInformation td, table#contactInformation td { width: 50%; }
			table.tabDetails { width: 100%; margin: 0 0 .5em 0; border: 1px solid #ccc; }
			table.tabDetails th, .tabDetails td { position: relative; padding: .25em; vertical-align: top; }
			table.tabDetails th { text-align: left; padding: .5em .25em; background: #eee; border-bottom: 1px solid #ccc; }
			td#shippingInfoData { border-top: 1px solid #ccc; }
			td.orderTotalLabel { text-align: right; width: 90%; }
			td.orderTotalAmount { text-align: right; width: 10%; }
			td#totalLabel { font-weight: bold; background: #eee; }
			td#totalAmount { font-weight: bold; background: #eee; }
			table.tabDetails td.total { text-align: right; }
			td { font-size: 12px; } 
			-->
		</style>
	</head>
	<body class="onecol">
		<div id="slate">
			<div id="wrapper" class="clearit">
				<div id="main" class="clearit">
					<div id="content">
						<h1><bean:message key="order.invoice" bundle="/order"/> - <c:out value="${settings.map.storeName}"/></h1>
						<jsp:include page="/WEB-INF/layouts/default-xhtml/order/orderDetails.jsp"/>
					</div>
				</div>
			</div>
		</div>	
	</body>
</html>
