<%@ include file="/WEB-INF/layouts/default-xhtml/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-xhtml/core/commonVariables.jsp" %>
<!-- Start paymentFormGuts.jsp -->
<%--Display the payment options available so the customer can choose one.--%>
<%
	java.util.Properties appComponents = (java.util.Properties) application.getAttribute("appComponents");
	String activePaymentFormTemplates = appComponents.getProperty("activePaymentFormTemplates");
	String activePaymentProcessors = appComponents.getProperty("activePaymentProcessors");
	pageContext.setAttribute("activePaymentForms", activePaymentFormTemplates);
	pageContext.setAttribute("activePaymentProcessors", activePaymentProcessors);
%>
<c:if var="moreThanOneOption" test="${false}"/>
<c:forTokens var="paymentFormName" varStatus="current" items="${activePaymentForms}" delims=",">
	<c:if var="moreThanOneOption" test="${current.count > 1}"/>
</c:forTokens>
<c:if test="${moreThanOneOption}">
	<fieldset id="paymentOptions">
		<legend><bean:message key="checkoutCombo.paymentOptions" bundle="/order" /></legend>
		<div id="paymentOptionInstructions" class="instructions">
			<bean:message key="checkoutCombo.paymentOptionInstructions" bundle="/order" />
		</div>
		<c:forTokens var="paymentProcessor" varStatus="current" items="${activePaymentProcessors}" delims=",">
			<c:set var="paymentProcessorName"><%= ((String) pageContext.getAttribute("paymentProcessor")).replaceFirst("(.*)\\.", "") %></c:set>
			<input id="paymentOption<c:out value="${current.count}"/>" type="radio" name="paymentFormCount"<c:if test="${(empty param.paymentFormCount and current.count eq 1) or param.paymentFormCount eq current.count}"> checked="checked"</c:if> value="<c:out value="${current.count}"/>"/>&nbsp;
			<label for="paymentOption<c:out value="${current.count}"/>" class="plain">
				<bean-el:message key="payment.label${paymentProcessorName}" bundle="/payment" />
			</label>
			<br/><br/>
		</c:forTokens>
	</fieldset>
</c:if>
<%--Display the payment forms.--%>
<c:forTokens var="templateFile" varStatus="current" items="${activePaymentForms}" delims=",">
	<c:set var="thisForm" value="paymentForm${current.count}" scope="request"/>
	<c:set var="suppressSubmitButton" value="true" scope="request"/>
	<c:if test="${!moreThanOneOption}">
		<input type="hidden" name="paymentFormCount" value="<c:out value="${current.count}"/>"/>
	</c:if>
	<% String templateFile = (String) pageContext.getAttribute("templateFile"); %>
	<tiles:insert page="<%= templateFile %>" />
	<br class="paymentFormBreak"/>
</c:forTokens>
<!-- End paymentFormGuts.jsp -->
