package com.softslate.commerce.businessobjects.email;

import java.util.List;
import java.util.Map;
import java.util.Properties;

import com.softslate.commerce.businessobjects.core.BusinessProcessor;

public interface EmailSender extends BusinessProcessor {

	public boolean getBypassDatabase();

	public void setBypassDatabase(boolean bypassDatabase);

	public boolean getSendInSeparateThread();

	public void setSendInSeparateThread(boolean sendInSeparateThread);

	public boolean getBypassSendGrid();

	public void setBypassSendGrid(boolean bypassSendGrid);

	public Email getEmail();

	public void setEmail(Email email);

	public String getSmtpServer();

	public void setSmtpServer(String smtpServer);

	public String getSmtpUsername();

	public void setSmtpUsername(String smtpUsername);

	public String getSmtpPassword();

	public void setSmtpPassword(String smtpPassword);

	public String getSmtpPort();

	public void setSmtpPort(String smtpPort);

	public Properties getMailSessionProps();

	public void setMailSessionProps(Properties mailSessionProps);

	public Map<String, String> getExtraHeaders();

	public void setExtraHeaders(Map<String, String> extraHeaders);

	public String getCharacterEncoding();

	public void setCharacterEncoding(String characterEncoding);

	public List<String> getAttachmentNames();

	public void setAttachmentNames(List<String> attachmentNames);

	public List<byte[]> getAttachments();

	public void setAttachments(List<byte[]> attachments);

	public List<String> getMimeTypes();

	public void setMimeTypes(List<String> mimeTypes);

	public void send() throws Exception;

}
