create table sscBasicTaxRate (
	basicTaxRateID int4 not null, 
	class varchar(255) not null DEFAULT 'com.softslate.commerce.businessobjects.tax.BasicTaxRateBean', 
	countryID int4, 
	stateID int4, 
	city varchar(100), 
	postalCode varchar(100), 
	rate float8, 
	isActive bool not null, 
	primary key (basicTaxRateID)
);

alter table sscBasicTaxRate add constraint FK276B5B3D2F5AE506 foreign key (countryID) references sscCountry on delete cascade;
alter table sscBasicTaxRate add constraint FK276B5B3DE4C0EFFC foreign key (stateID) references sscState on delete cascade;

CREATE INDEX IDX_sscBasicTaxRate_city ON sscBasicTaxRate (city);
CREATE INDEX IDX_sscBasicTaxRate_postalCode ON sscBasicTaxRate (postalCode);
