UPDATE sscSetting SET smallValue='3.3.5' WHERE code='dataObjectsVersion';

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) VALUES ('shippingCutoffHour','Shipping Cutoff Hour','The time of day after which an order must be shipped out the following day. This is used to calculate estimated shipping days. Orders that arrive late in the day typically must be shipped out the next day. Set this value to the time after which the order must be shipped out the following day. Must be in 24-hour format. Eg. 14:00 for 2pm.','SHIPPING','smallValue',NULL,'14:00',NULL,NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) VALUES ('initializeCategoryTreeAndMap','Initialize Category Tree And Category Map','If true, the category tree and category map will be loaded into memory when the application starts. Consider setting to no if your store has a large number of categories, for faster start ups. It must be set to yes for the category tree to display.','HEADERANDSIDEPANEL','booleanValue',1,NULL,NULL,NULL);
