<%@ include file="/WEB-INF/layouts/default-xhtml/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-xhtml/core/commonVariables.jsp" %>

<!-- Start customerWishListEditForm.jsp -->
<bean:define id="editing" toScope="request" value="true"/>
<html:form action="/CustomerWishListEdit" method="post">
	<html:hidden name="customerWishListAddEditForm" property="customerWishListID" />
	<table class="addEditTable settingsTable">
		<ssc:insert attribute="formGuts" />
	</table>
	<logic:equal name="editPermission" value="true">
		<div class="adminAddEditButton">
			<input type="submit" class="button" name="editProductSubmit" value="<bean:message key="administrator.saveSettings" bundle="/administrator/administrator"/>" />
		</div>
	</logic:equal>
</html:form>
<logic:equal name="editPermission" value="true">
	<form name="customerWishListDeleteForm" class="adminDeleteButton" action="<c:out value="${settings.map.administratorURL}"/>/CustomerWishListDelete.do" method="post">
		<input type="hidden" name="customerID" value="<bean:write name="customerWishListAddEditForm" property="customerID" />" />
		<input type="hidden" name="customerWishListID" value="<bean:write name="customerWishListAddEditForm" property="customerWishListID" />" />
		<input type="hidden" name="name" value="<bean:write name="customerWishListAddEditForm" property="name" />" />
		<input type="submit" onclick="return confirm('<bean:message key="administrator.confirmDelete" bundle="/administrator/administrator"/>')" class="button" name="deleteCustomerWishListSubmit"
			value="<bean:message key="administrator.delete" bundle="/administrator/administrator"/>" />
	</form>
</logic:equal>
<!-- End customerWishListEditForm.jsp -->
