<%@ include file="/WEB-INF/layouts/default-xhtml/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-xhtml/core/commonVariables.jsp" %>

<!-- Start emailOptOutFieldColumns.jsp -->
<bean:define id="displayFieldArray" name="mainForm" property="displayFields" type="java.lang.String[]" />
<bean:define id="fieldArray" name="mainForm" property="fields" type="java.lang.String[]" />
<% java.util.Collection displayFieldCollection = java.util.Arrays.asList(displayFieldArray); %>
<logic:iterate collection="<%= fieldArray %>" id="field" type="java.lang.String">
	<% if (displayFieldCollection.contains(field)) { %>
		<td class="dataCell <c:out value="${field}"/>">
			<c:choose>
				<c:when test="${field eq 'emailOptOutID'}">
					<c:out value="${item[field]}" />
				</c:when>
				<c:when test="${mainForm.editMode eq 'true'}">
					<c:choose>
						<c:when test="${field eq 'isActive'}">
							<input type="hidden" name="<c:out value="${field}"/>" value="<c:out value="${item[field]}"/>"/>
							<input type="checkbox" name="dummy" <c:if test="${item[field] ne 'false'}">checked="checked"</c:if> onclick="updateCheckboxField(this, '<c:out value="${field}"/>', <c:out value="${j}"/>)"/>
						</c:when>
						<c:when test="${field eq 'type'}">
							<select name="type">
								<c:if var="valueFound" test="${false}"/>
								<c:forTokens var="oot" varStatus="current" items="${settings.map.optOutTypes}" delims=","> 
									<% pageContext.setAttribute("oot", ((String) pageContext.getAttribute("oot")).trim()); %>
									<c:if test="${oot ne 'NONE'}">
										<option value="${oot}" <c:if test="${item[field] eq oot}" >selected="selected"</c:if>><c:out value="${oot}"/></option>
										<c:if test="${!valueFound and oot eq item[field]}">
											<c:if var="valueFound" test="${true}"/>
										</c:if>
									</c:if>
								</c:forTokens>
								<c:if test="${!valueFound and !empty item[field]}">
									<option value="${item[field]}"><c:out value="${item[field]}"/></option>
								</c:if>
							</select>
						</c:when>
						<c:otherwise>
							<input type="text" name="<c:out value="${field}" />" value="<c:out value="${item[field]}" />"/>
						</c:otherwise>
					</c:choose>
				</c:when>
				<c:otherwise>
					<input type="hidden" name="<c:out value="${field}" />" value="<c:out value="${item[field]}" />" />
					<c:choose>
						<c:when test="${field eq 'isActive'}">
							<c:choose>
								<c:when test="${item[field]}">yes</c:when>
								<c:otherwise>no</c:otherwise>
							</c:choose>
						</c:when>
						<c:otherwise>
							<c:out value="${item[field]}" />
						</c:otherwise>
					</c:choose>
				</c:otherwise>
			</c:choose>
		</td>
	<% } %>
</logic:iterate>
<!-- End emailOptOutFieldColumns.jsp -->
