<%@ include file="/WEB-INF/layouts/default-xhtml/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-xhtml/core/commonVariables.jsp" %>
<bean:define id="editing" toScope="request" value="true" />

<!-- Start paymentEditForm.jsp -->
<html:form action="/PaymentEdit" method="post">
	<html:hidden name="paymentAddEditForm" property="paymentID" />
	<table class="addEditTable settingsTable">
		<tr>
			<td class="genericLabel">
				Payment ID:
			</td>
			<td>
				<bean:write name="paymentAddEditForm" property="paymentID" />
			</td>
		</tr>
		<ssc:insert attribute="formGuts" />
	</table>
	<logic:equal name="editPermission" value="true">
		<div class="adminAddEditButton">
			<input type="submit" class="button" name="editProductSubmit" value="<bean:message key="administrator.saveSettings" bundle="/administrator/administrator"/>" />
		</div>
	</logic:equal>
</html:form>
<logic:equal name="editPermission" value="true">
	<form name="paymentDeleteForm" class="adminDeleteButton" action="<c:out value="${settings.map.administratorURL}"/>/PaymentDelete.do" method="post">
		<input type="hidden" name="orderID" value="<bean:write name="order" property="orderID" />" />
		<input type="hidden" name="paymentID" value="<bean:write name="paymentAddEditForm" property="paymentID" />" />
		<input type="submit" onclick="return confirm('<bean:message key="administrator.confirmDelete" bundle="/administrator/administrator"/>')" class="button" name="deleteProductSubmit"
			value="<bean:message key="administrator.delete" bundle="/administrator/administrator"/>" />
	</form>
</logic:equal>
<!-- End paymentEditForm.jsp -->
